Bug 675348 - Update pgAdmin to latest 1.12.2
Summary: Update pgAdmin to latest 1.12.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 14
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-05 00:32 UTC by David Rees
Modified: 2011-03-10 20:49 UTC (History)
1 user (show)

Fixed In Version: pgadmin3-1.12.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 02:53:47 UTC


Attachments (Terms of Use)

Description David Rees 2011-02-05 00:32:25 UTC
The currently shipped version of pgAdmin in Fedora is 1.10.5.  There have been 3 releases of 1.12 and upstream is currently shipping 1.12.2.

The currently shipped version of pgAdmin is not compatible with the latest version of PostgreSQL - version 9.  Updating to the latest version of pgAdmin is probably easier than backporting pgsql v9 compatibility.

Comment 1 Fedora Update System 2011-02-15 21:21:58 UTC
pgadmin3-1.12.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-1.fc14

Comment 2 Fedora Update System 2011-02-15 21:22:05 UTC
pgadmin3-1.12.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-2.fc15

Comment 3 Fedora Update System 2011-02-15 21:22:11 UTC
pgadmin3-1.12.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-1.el6

Comment 4 David Rees 2011-02-15 22:59:38 UTC
Thanks for pushing these out - I can confirm that the update works well on F14.  

Is there any chance you can push an update for F13 as well?

Comment 5 Fedora Update System 2011-02-16 01:31:32 UTC
pgadmin3-1.12.2-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pgadmin3'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-2.fc15

Comment 6 Fedora Update System 2011-02-16 10:49:57 UTC
pgadmin3-1.12.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-1.fc13

Comment 7 David Rees 2011-02-16 21:23:28 UTC
I did find an issue with the F14 release.

The application.desktop file refers to a non-existent .png resulting in a missing icon for the menu bar.

/usr/share/applications/pgadmin3.desktop has a reference to /usr/share/pgadmin3/pgAdmin3.png which is not packaged.

Will check the F13 version in a bit...

Comment 8 David Rees 2011-02-16 21:25:52 UTC
Same issue with the F13 build.

Comment 9 Devrim Gündüz 2011-02-17 21:25:34 UTC
Does /usr/share/pgadmin3/pgAdmin3.xpm exist on your box?

Comment 10 David Rees 2011-02-17 22:31:01 UTC
Yes on both the F13 and F14 boxes I checked that have the package from koji.

Comment 11 David Rees 2011-02-19 20:09:58 UTC
When testing the F13 build I have found that it crashes when trying to connect to a server with this message:

pgadmin3: symbol lookup error: pgadmin3: undefined symbol: PQconninfoParse

Comment 12 Devrim Gündüz 2011-02-21 13:04:50 UTC
Most likely a dependency issue with libpq - the binary was built against a modern version (8.4+), but is being run with <= 8.3. Libpq 8.4 or above is required. It this a 8.4 instance?

Comment 13 David Rees 2011-02-21 19:33:49 UTC
(In reply to comment #12)
> Most likely a dependency issue with libpq - the binary was built against a
> modern version (8.4+), but is being run with <= 8.3. Libpq 8.4 or above is
> required. It this a 8.4 instance?

You're right.  The F13 system has pg 8.3 installed on it as well - it seems that pg 8.3 also has the same version libpq.so.5 as pg 8.4, so that is causing a conflict there.  Once I remove the pg 8.3 libraries from the library path pgadmin3 connects just fine - so ignore comment 11.

Comment 14 David Rees 2011-02-23 03:56:44 UTC
Back to the missing icon as a result of the Icon being wrong.

The pgadmin3.desktop file has:
/usr/share/pgadmin3/pgAdmin3.png

But changing it to:
/usr/share/pgadmin3/pgadmin3.xpm

fixes the issue.  Note the lower-case A in pgadmin as well.

Comment 15 Fedora Update System 2011-02-23 05:44:10 UTC
pgadmin3-1.12.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-3.fc15

Comment 16 Fedora Update System 2011-02-23 05:44:17 UTC
pgadmin3-1.12.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-2.fc13

Comment 17 Fedora Update System 2011-02-23 05:44:24 UTC
pgadmin3-1.12.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-2.el6

Comment 18 Fedora Update System 2011-02-23 05:44:31 UTC
pgadmin3-1.12.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pgadmin3-1.12.2-2.fc14

Comment 19 Devrim Gündüz 2011-02-23 06:23:19 UTC
@David: Pushed updated packages. Could you please test them?

Comment 20 David Rees 2011-02-23 19:56:16 UTC
The F13 and F14 builds pass basic testing for me.  I'll post feedback on them on the admin site.

Comment 21 Fedora Update System 2011-03-03 02:53:41 UTC
pgadmin3-1.12.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-03-10 17:25:41 UTC
pgadmin3-1.12.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-03-10 20:49:09 UTC
pgadmin3-1.12.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-03-10 20:49:22 UTC
pgadmin3-1.12.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.